Robotsystem from Robot Group Leipzig: InvisibleBox Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# InvisibleBox Class Reference

`#include <invisibleprimitive.h>`

Inheritance diagram for InvisibleBox:

[legend]
Collaboration diagram for InvisibleBox:

[legend]
List of all members.

## Detailed Description

Definition at line 45 of file invisibleprimitive.h.

## Public Member Functions
| InvisibleBox (float lengthX, float lengthY, float lengthZ)
virtual void | init (const OdeHandle &odeHandle, double mass, const OsgHandle &osgHandle, char mode=Body|Geom|Draw)
| registers primitive in ODE and OSG.
virtual void | update ()
| Updates the OSG nodes with ODE coordinates.
virtual OSGPrimitive * | getOSGPrimitive ()
| returns the assoziated osg primitive if there or 0
## Protected Attributes
float | lengthX
float | lengthY
float | lengthZ

## Constructor & Destructor Documentation

InvisibleBox | ( | float | lengthX,
|  | float | lengthY,
|  | float | lengthZ
| ) |

| Definition at line 40 of file invisibleprimitive.cpp.

## Member Function Documentation

virtual OSGPrimitive* getOSGPrimitive | ( |  | ) | `[inline, virtual]`

| returns the assoziated osg primitive if there or 0 Implements Primitive. Definition at line 53 of file invisibleprimitive.h.

void init | ( | const OdeHandle & | odeHandle,
|  | double | mass,
|  | const OsgHandle & | osgHandle,
|  | char | mode = `Body|Geom|Draw`
| ) | `[virtual]`

  | registers primitive in ODE and OSG. Parameters:
  | osgHandle | scruct with ODE variables inside (to specify space, world...)
  | mass | Mass of the object in ODE (if withBody = true)
  | osgHandle | scruct with OSG variables inside (scene node, color ...)
  | mode | is a conjuction of Modes.
Implements Primitive. Definition at line 44 of file invisibleprimitive.cpp.

virtual void update | ( |  | ) | `[inline, virtual]`

| Updates the OSG nodes with ODE coordinates. This function must be overloaded (usually calls setMatrix of OsgPrimitives) Implements Primitive. Definition at line 52 of file invisibleprimitive.h.

## Member Data Documentation

float lengthX`[protected]`

| Definition at line 56 of file invisibleprimitive.h.

float lengthY`[protected]`

| Definition at line 57 of file invisibleprimitive.h.

float lengthZ`[protected]`

| Definition at line 58 of file invisibleprimitive.h.